Name:          utfcpp
Version:       4.0.5
Release:       1mamba
Summary:       UTF-8 with C++ in a Portable Way 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nemtrif/utfcpp
Source:        https://github.com/nemtrif/utfcpp.git/v%{version}/utfcpp-%{version}.tar.bz2
License:       BSL-1.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
UTF-8 with C++ in a Portable Way.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       UTF-8 with C++ in a Portable Way

%description -n lib%{name}-devel
UTF-8 with C++ in a Portable Way.
This package contains header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/utf8cpp
%{_includedir}/utf8cpp/utf8.h
%dir %{_includedir}/utf8cpp/utf8
%{_includedir}/utf8cpp/utf8/*
%dir %{_datadir}/utf8cpp
%dir %{_datadir}/utf8cpp/cmake
%{_datadir}/utf8cpp/cmake/utf8cpp*.cmake
%doc LICENSE README.md


%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.5-1mamba
- package created using the webbuild interface
